Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.jwcache
Class CacheRuntimeException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jsp.jwcache.CacheRuntimeException`

All Implemented Interfaces:
  java.io.Serializable

public class CacheRuntimeException
extends java.lang.RuntimeException

a runtime exception to capture any java web cache related exception during runtime, if developers choose to set `reportException` in their cache policies to true (by default, this attribute is true). If developers to set `reportException` to false, and if the cache operations fail, the operations will fail silently without showing exceptions in the browser.

See Also:
  Serialized Form

Constructor Summary
`CacheRuntimeException()` The empty constructor of this exception
`CacheRuntimeException(java.lang.Exception ex)` The constructor of this exception that accepts the root cause exception object
`CacheRuntimeException(java.lang.String s)` The constructor of this exception that accepts a message String

Method Summary
`java.lang.String` | `getMsg()` To get the message, given during construction
`java.lang.Exception` | `getRootCause()` To get the root cause exception object, given during construction
`java.lang.String` | `toString()` To get the description string of this cache runtime exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheRuntimeException

    public CacheRuntimeException()

  The empty constructor of this exception

### CacheRuntimeException

    public CacheRuntimeException(java.lang.String s)

  The constructor of this exception that accepts a message String

### CacheRuntimeException

    public CacheRuntimeException(java.lang.Exception ex)

  The constructor of this exception that accepts the root cause exception object

Method Detail

### getMsg

    public java.lang.String getMsg()

  To get the message, given during construction

### getRootCause

    public java.lang.Exception getRootCause()

  To get the root cause exception object, given during construction

### toString

    public java.lang.String toString()

  To get the description string of this cache runtime exception. The description will contain the given message (if any) and the trace stack of the root cause exception (if any).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.